> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Display customised payment buttons



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/payments/logo
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payments/logo:
    post:
      tags:
        - Open banking payments
      summary: Display customised payment buttons
      operationId: Payment_LogoUrl
      requestBody:
        content:
          application/*+json:
            schema:
              type: object
              properties:
                currency:
                  type: string
                  description: 'Payment currency. Currently accepted: EUR.'
                customerId:
                  type: string
                  description: Customer's unique identifier in your records.
                email:
                  type: string
                  description: Customer's email address.
                ipAddress:
                  type: string
                  description: Customer's IP address.
                country:
                  type: string
                  description: >-
                    Customer's country's ISO 3166 code. For example, DE for
                    Germany or FR for France.
              required:
                - currency
              example:
                currency: EUR
                country: DE
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: Response_Logo
                description: Button appearance configuration.
                example:
                  'Example: DE':
                    value:
                      url: https://rocka.blob.core.windows.net/logo-button/de.svg
                      type: country
                      id: de
                      displayName: GERMANY
                properties:
                  url:
                    type: string
                    description: URL to the SVG logo that will be part of the button.
                  type:
                    enum:
                      - bank
                      - country
                    type: string
                    x-examples:
                      example-1:
                        value: bank
                    description: Button type (`bank` or `country`).
                  id:
                    type: string
                    description: >-
                      Payment option choice. For example, country code or bank
                      ID.
                  displayName:
                    type: string
                    description: >-
                      Alternative display name for the payment option. For
                      example, United Kingdom or Lloyds Bank.
                  country:
                    type: string
                    description: Country's ISO 3166 code (only for `bank` buttons).
                required:
                  - type
          description: ''
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````